New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Using python-redmine with requests 0.14.2 #20

Closed
chevi opened this Issue Mar 18, 2014 · 2 comments

Comments

2 participants
@chevi

chevi commented Mar 18, 2014

Unfortunately I need to use requests version 0.14.2 on my machine, but python-redmine doesn't work with this version of requests:

Traceback (most recent call last):

File "hotcat.py", line 3, in
project = server.project.get('sl61')
File "/usr/local/lib/python2.7/dist-packages/redmine/managers.py", line 120, in get
return self.resource_class(self, self.retrieve()[0])
File "/usr/local/lib/python2.7/dist-packages/redmine/managers.py", line 58, in retrieve
response = self.redmine.request('get', self.url, params=dict(self.params, limit=limit, offset=offset))
File "/usr/local/lib/python2.7/dist-packages/redmine/init.py", line 82, in request
return response.json()
TypeError: 'dict' object is not callable

Is there any possibility to use requests 0.14.2 and python-redmine?

@maxtepkeev

This comment has been minimized.

Owner

maxtepkeev commented Mar 19, 2014

It's a very old version, but I'll look at it and come back to you with an answer in a few days.

@maxtepkeev maxtepkeev self-assigned this Mar 19, 2014

maxtepkeev added a commit that referenced this issue Mar 22, 2014

@maxtepkeev

This comment has been minimized.

Owner

maxtepkeev commented Mar 22, 2014

Fixed in 81d1ceb. I was able to lower Requests version requirements until 0.12.1. This fix will be released to PyPI in the next version in a few days. Thanks.

@maxtepkeev maxtepkeev closed this Mar 22, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment